org.apache.torque.generator.source

## Class SourceException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.torque.generator.GeneratorException
      - - org.apache.torque.generator.source.SourceException

- All Implemented Interfaces:
    Serializable

      public class SourceException
      extends GeneratorException

  This exception denotes that the source cannot be read.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SourceException()` Constructs a SourceException without error message.
    `SourceException(String message)` Constructs a SourceException with the given error message.
    `SourceException(String message, Throwable cause)` Constructs a SourceException which wraps another exception, and which has its own error message.
    `SourceException(Throwable cause)` Constructs a SourceException which wraps another exception.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SourceException

          public SourceException()

      Constructs a SourceException without error message.
      See Also:
        `Exception.Exception()`

    - #### SourceException

          public SourceException(String message)

      Constructs a SourceException with the given error message.
      Parameters:
        `message` - the error message
      See Also:
        `Exception.Exception(java.lang.String)`

    - #### SourceException

          public SourceException(Throwable cause)

      Constructs a SourceException which wraps another exception.
      Parameters:
        `cause` - The root cause of the exception, can be null.
      See Also:
        `Exception.Exception(java.lang.Throwable)`

    - #### SourceException

          public SourceException(String message,
                                 Throwable cause)

      Constructs a SourceException which wraps another exception, and which has its own error message.
      Parameters:
        `message` - The error mesaage.
        `cause` - The exception to wrap.
      See Also:
        `Exception.Exception(java.lang.String, java.lang.Throwable)`

Copyright © 2000–2020 The Apache Software Foundation. All rights reserved.